#
# spec file for package perl-Algorithm-Annotate (Version 0.10)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Algorithm-Annotate
License:        Artistic License
Group:          Development/Libraries/Perl
Url:            http://cpan.org/
Requires:       perl = %{perl_version}
AutoReqProv:    on
Summary:        represent a series of changes in annotate form
Version:        0.10
Release:        137
Source:         http://cpan.org/modules/by-module/Algorithm/Algorithm-Annotate-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl

%description
Algorithm::Annotate generates a list that is useful for generating
output similar to cvs annotate.



Authors:
--------
    Chia-liang Kao <clkao at clkao dot org>

%prep
%setup -n Algorithm-Annotate-%{version}

%build
perl Makefile.PL
%{__make}

%install
%perl_make_install
%perl_process_packlist

%clean
[ "${RPM_BUILD_ROOT}" != "/" -a -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-, root, root)
%dir %{perl_vendorlib}/Algorithm
%{perl_vendorlib}/Algorithm/Annotate.pm
%dir %{perl_vendorarch}/auto/Algorithm
%dir %{perl_vendorarch}/auto/Algorithm/Annotate
%{perl_vendorarch}/auto/Algorithm/Annotate/.packlist
%{_mandir}/man3/Algorithm::Annotate.3pm.gz
/var/adm/perl-modules/%{name}

%changelog
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Feb 16 2005 schwab@suse.de
- Don't remove BuildRoot in %%install.
* Mon Feb 14 2005 lmuelle@suse.de
- Initial SuSE package.
